| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_rtpstream_info_calc Struct Reference

Computed statistics and metadata for a single RTP stream, ready for display in the UI. More...

`#include <tap-rtp-common.h>`

## Public Attributes
char * | src_addr_str
uint16_t | src_port
char * | dst_addr_str
uint16_t | dst_port
uint32_t | ssrc
char * | all_payload_type_names
uint32_t | packet_count
uint32_t | total_nr
uint32_t | packet_expected
int32_t | lost_num
double | lost_perc
double | max_delta
double | min_delta
double | mean_delta
double | min_jitter
double | max_jitter
double | mean_jitter
double | max_skew
bool | problem
double | clock_drift_ms
double | freq_drift_hz
double | freq_drift_perc
double | duration_ms
uint32_t | sequence_err
double | start_time_ms
uint32_t | first_packet_num
uint32_t | last_packet_num

## Detailed Description

Computed statistics and metadata for a single RTP stream, ready for display in the UI.

## Member Data Documentation

## ◆ all_payload_type_names

char* _rtpstream_info_calc::all_payload_type_names

Comma-separated codec names derived from static or dynamic payload type mappings

## ◆ clock_drift_ms

double _rtpstream_info_calc::clock_drift_ms

Total estimated clock drift between sender and receiver, in milliseconds

## ◆ dst_addr_str

char* _rtpstream_info_calc::dst_addr_str

Destination IP address formatted as a string

## ◆ dst_port

uint16_t _rtpstream_info_calc::dst_port

Destination UDP port number

## ◆ duration_ms

double _rtpstream_info_calc::duration_ms

Total stream duration from first to last packet, in milliseconds

## ◆ first_packet_num

uint32_t _rtpstream_info_calc::first_packet_num

Wireshark frame number of the first packet in the stream

## ◆ freq_drift_hz

double _rtpstream_info_calc::freq_drift_hz

Estimated sender clock frequency drift, in Hz

## ◆ freq_drift_perc

double _rtpstream_info_calc::freq_drift_perc

Estimated sender clock frequency drift as a percentage

## ◆ last_packet_num

uint32_t _rtpstream_info_calc::last_packet_num

Wireshark frame number of the last packet in the stream

## ◆ lost_num

int32_t _rtpstream_info_calc::lost_num

Number of packets estimated as lost (expected minus received)

## ◆ lost_perc

double _rtpstream_info_calc::lost_perc

Packet loss as a percentage of expected packets

## ◆ max_delta

double _rtpstream_info_calc::max_delta

Maximum inter-packet arrival gap observed, in milliseconds

## ◆ max_jitter

double _rtpstream_info_calc::max_jitter

Maximum instantaneous jitter value observed, in milliseconds

## ◆ max_skew

double _rtpstream_info_calc::max_skew

Maximum cumulative skew between sender and receiver clocks, in milliseconds

## ◆ mean_delta

double _rtpstream_info_calc::mean_delta

Mean inter-packet arrival gap across the stream, in milliseconds

## ◆ mean_jitter

double _rtpstream_info_calc::mean_jitter

Mean jitter across the stream, in milliseconds

## ◆ min_delta

double _rtpstream_info_calc::min_delta

Minimum inter-packet arrival gap observed, in milliseconds

## ◆ min_jitter

double _rtpstream_info_calc::min_jitter

Minimum instantaneous jitter value observed, in milliseconds

## ◆ packet_count

uint32_t _rtpstream_info_calc::packet_count

Total number of RTP packets observed in the stream

## ◆ packet_expected

uint32_t _rtpstream_info_calc::packet_expected

Expected packet count derived from the stream's sequence number range

## ◆ problem

bool _rtpstream_info_calc::problem

True if the stream contains anomalies (e.g. sequence gaps, excessive jitter); the UI should highlight this

## ◆ sequence_err

uint32_t _rtpstream_info_calc::sequence_err

Number of sequence number errors (out-of-order or duplicate packets) detected

## ◆ src_addr_str

char* _rtpstream_info_calc::src_addr_str

Source IP address formatted as a string

## ◆ src_port

uint16_t _rtpstream_info_calc::src_port

Source UDP port number

## ◆ ssrc

uint32_t _rtpstream_info_calc::ssrc

RTP Synchronisation Source (SSRC) identifier

## ◆ start_time_ms

double _rtpstream_info_calc::start_time_ms

Relative capture timestamp of the first packet, in milliseconds

## ◆ total_nr

uint32_t _rtpstream_info_calc::total_nr

Total number of RTP sequence numbers spanned by the stream

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/tap-rtp-common.h